<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<link rel="stylesheet" type="text/css" href="1.css">
	<script type="text/javascript">

	/* variables globales */
	var elegida="";
	var i=0;
	var error="";
	var acierto="";
	var elegida;
	var palabras=["ola", "roma", "sola"];	
	elegida=aleatorio(palabras);	
	var aciertos=0;	
	var fallos=0;
	var caracteres=[];
	

	function comienzo(){
		crearDivs(elegida);
		document.querySelector("#si").addEventListener("click",()=>{
			location.reload();
		});

		document.querySelector("#no").addEventListener("click",()=>{
			alert("adios");
		});		
	}




		function aleatorio(palabras){
			var a=parseInt(Math.random()*palabras.length);

			return palabras[a];
		}

		

		function comprobar(){
			var caracter="";
			var encontrado=0;
			caracter=document.querySelector("#letra").value;
			
			
			var cajas=document.querySelectorAll(".palabra>.caja");

			var acerte=0;

			for(var c=0;c<caracteres.length;c++){
				if(caracter==caracteres[c]){
					encontrado=1;
				}	
			}
			
			if(encontrado==0){
				caracteres.push(caracter);
				for(var c=0;c<elegida.length;c++){
					if(caracter==elegida[c]){
						acerte=1;
						cajas[c].innerHTML=caracter;
					}
				}

				if(acerte==1){
					document.querySelector(".correcto").innerHTML+=' ' + caracter + ',';
					aciertos+=1;
					if(aciertos==elegida.length){
						mostrarMensaje("YOU WIN!!");
										}
				}else{
					document.querySelector(".erroneo").innerHTML+=' ' + caracter + ",";
					fallos+=1;
					if(fallos==1){
						document.getElementById("lcabeza").style.display="none";
					}
					if(fallos==2){
						document.getElementById("lcuerpo").style.display="none";
					}
					if(fallos==3){
						document.getElementById("lbrazoi").style.display="none";
					}
					if(fallos==4){
						document.getElementById("lbrazod").style.display="none";
					}
					if(fallos==5){
						document.getElementById("lpiernad").style.display="none";
					}

					if(fallos==6){
						document.getElementById("lpiernai").style.display="none";
						mostrarMensaje("TE HAN AHORCADO");
					}
				}
			}

		}

function ahorcado(erroneo){
			if (fallo){
				var clase="l"+(i+1);
				document.getElementsByClassName(clase)[0].style.visibility="visible";
				i++;		
				}
			}


		function mostrarMensaje(texto){
			var caja;
			var titulo;

			titulo=document.querySelector("section>h1");
			caja=document.querySelector("section");

			titulo.innerHTML=texto;
			caja.style.display="block";

		}


		
		function crearDivs(arg){
			//var d=0;
			var caja=document.querySelector(".palabra");

			for (var c=0; c<arg.length; c++){
				caja.innerHTML+='<div class="caja">   </div>'; 
			}

			function limpiar(){
						document.querySelectorAll().innerHTML="";
						aciertos=0;
						fallos=0;
			}
		

			/*d=document.querySelectorAll(".palabra>div");
			for (var c=0; c<arg.length; c++){
				d[c].className="caja";

				d[c].style.width=50+"px";
				d[c].style.height=50+"px";
				d[c].style.backgroundColor="white";
			}*/

		}
		
		
		

	</script>
</head>
<body onload="comienzo()">
	<div class="wrapper">
	 <div class="cajarriba">
		<div class="ladoizq">
			<div class="palabra">
				
			</div>
			<div>
				<div class="correcto">Correcto <br></div>
				<div class="erroneo">Erroneo <br></div>
			</div>
		</div>
		<form>
		<div class="ladoder">
			<input type="text" name="letra" id="letra" placeholder="Introduce una letra" maxlength="1">
			<button type="button" name="elegir" onclick="comprobar()">Elegir</button>
			<!--<input type="reset" id="reset" value="limpiar">-->
    		<button type="reset" id="limpiar">Limpiar</button>
		</div>
		</form>
		<figure>
	<div class="cadalso">
		<div id="lcabeza"></div>
		<div id="lcuerpo"></div>
		<div id="lbrazoi"></div>
		<div id="lbrazod"></div>
		<div id="lpiernad"></div>
		<div id="lpiernai"></div>
	</div>
	</figure>
	</div>
	<section>
		<h1> </h1>
		<h2> ¿QUIERES VOLVER A JUGAR?</h2>
		<form>
			<button class="boton" type="button" id="si">Si</button>
			<button class="boton" type="button" id="no">No</button>
		</form>
	</section>
</div>
	
</body>
</html>




